mxGraphSelectionModel (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.view
Class mxGraphSelectionModel

    java.lang.Object
      com.mxgraph.util.mxEventSource
          com.mxgraph.view.mxGraphSelectionModel

    public class mxGraphSelectionModel

extends mxEventSource

Implements the selection model for a graph. This class fires the following events: mxEvent.UNDO fires after the selection was changed in changeSelection. The `edit` property contains the mxUndoableEdit which contains the mxSelectionChange. mxEvent.CHANGE fires after the selection changes by executing an mxSelectionChange. The `added` and `removed` properties contain Collections of cells that have been added to or removed from the selection, respectively. To add a change listener to the graph selection model: `addListener( mxEvent.CHANGE, new mxIEventListener() { public void invoke(Object sender, mxEventObject evt) { mxGraphSelectionModel model = (mxSelectionModel) sender; Collection added = (Collection) evt.getProperty("added"); Collection removed = (Collection) evt.getProperty("removed"); selectionChanged(model, added, removed); } });`

Nested Class Summary
`static class` | `mxGraphSelectionModel.mxSelectionChange`

Nested classes/interfaces inherited from class com.mxgraph.util.mxEventSource
`mxEventSource.mxIEventListener`

Field Summary
`protected Set<Object>` | `cells` Holds the selection cells.
`protected mxGraph` | `graph` Reference to the enclosing graph.
`protected boolean` | `singleSelection` Specifies if only one selected item at a time is allowed.

Fields inherited from class com.mxgraph.util.mxEventSource
`eventListeners, eventsEnabled, eventSource`

Constructor Summary
`mxGraphSelectionModel(mxGraph graph)` Constructs a new selection model for the specified graph.

Method Summary
`void` | `addCell(Object cell)` Adds the given cell to the selection.
`void` | `addCells(Object[] cells)`
`protected void` | `cellAdded(Object cell)`
`protected void` | `cellRemoved(Object cell)`
`protected void` | `changeSelection(Collection<Object> added, Collection<Object> removed)`
`void` | `clear()` Clears the selection.
`Object` | `getCell()` Returns the first selected cell.
`Object[]` | `getCells()` Returns the selection cells.
`protected Object` | `getFirstSelectableCell(Object[] cells)` Returns the first selectable cell in the given array of cells.
`boolean` | `isEmpty()` Returns true if no cells are selected.
`boolean` | `isSelected(Object cell)` Returns true if the given cell is selected.
`boolean` | `isSingleSelection()`
`void` | `removeCell(Object cell)` Removes the given cell from the selection.
`void` | `removeCells(Object[] cells)`
`void` | `setCell(Object cell)` Clears the selection and adds the given cell to the selection.
`void` | `setCells(Object[] cells)` Clears the selection and adds the given cells.
`void` | `setSingleSelection(boolean singleSelection)`
`int` | `size()` Returns the number of selected cells.

Methods inherited from class com.mxgraph.util.mxEventSource
`addListener, fireEvent, fireEvent, getEventSource, isEventsEnabled, removeListener, removeListener, setEventsEnabled, setEventSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graph

    protected mxGraph graph

  Reference to the enclosing graph.

### singleSelection

    protected boolean singleSelection

  Specifies if only one selected item at a time is allowed. Default is false.

### cells

    protected Set<Object> cells

  Holds the selection cells.

Constructor Detail

### mxGraphSelectionModel

    public mxGraphSelectionModel(mxGraph graph)

  Constructs a new selection model for the specified graph.

  Parameters:
    `graph` -

Method Detail

### isSingleSelection

    public boolean isSingleSelection()

  Returns:
    the singleSelection

### setSingleSelection

    public void setSingleSelection(boolean singleSelection)

  Parameters:
    `singleSelection` - the singleSelection to set

### isSelected

    public boolean isSelected(Object cell)

  Returns true if the given cell is selected.

  Parameters:
    `cell` -
  Returns:
    Returns true if the given cell is selected.

### isEmpty

    public boolean isEmpty()

  Returns true if no cells are selected.

### size

    public int size()

  Returns the number of selected cells.

### clear

    public void clear()

  Clears the selection.

### getCell

    public Object getCell()

  Returns the first selected cell.

### getCells

    public Object[] getCells()

  Returns the selection cells.

### setCell

    public void setCell(Object cell)

  Clears the selection and adds the given cell to the selection.

### setCells

    public void setCells(Object[] cells)

  Clears the selection and adds the given cells.

### getFirstSelectableCell

    protected Object getFirstSelectableCell(Object[] cells)

  Returns the first selectable cell in the given array of cells.

  Parameters:
    `cells` - Array of cells to return the first selectable cell for.
  Returns:
    Returns the first cell that may be selected.

### addCell

    public void addCell(Object cell)

  Adds the given cell to the selection.

### addCells

    public void addCells(Object[] cells)

### removeCell

    public void removeCell(Object cell)

  Removes the given cell from the selection.

### removeCells

    public void removeCells(Object[] cells)

### changeSelection

    protected void changeSelection(Collection<Object> added,
                                   Collection<Object> removed)

### cellAdded

    protected void cellAdded(Object cell)

### cellRemoved

    protected void cellRemoved(Object cell)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.